Bug 503329 - im-chooser is no longer able to start ibus
im-chooser is no longer able to start ibus
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
10
All Linux
low Severity urgent
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-31 07:11 EDT by Julian Sikorski
Modified: 2009-06-07 04:58 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.1.0.20090531-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-02 10:17:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Julian Sikorski 2009-05-31 07:11:31 EDT
Description of problem:
After an update to ibus-1.1.0.20090423-1.fc10 (hit stable a few days ago), im-chooser is no longer able to start ibus. It still attempts to launch /usr/sbin/ibus, which does not exist any more.

Version-Release number of selected component (if applicable):
ibus-1.1.0.20090423-1.fc10
im-chooser-1.2.5-1.fc10

How reproducible:
always

Steps to Reproduce:
1. update ibus to the latest version found in f10 updates
2. go to system → preferences → personal → input method
3. attempt to launch ibus
  
Actual results:
Failed to execute child process "/usr/bin/ibus" (No such file or directory)

Expected results:
ibus starts properly
Comment 1 Yao Wei Tjong 2009-05-31 11:07:21 EDT
I had same problem on x86_64. It appears the file "/usr/bin/ibus" is now missing. Temporary workaround: running "/usr/bin/ibus-setup" as normal user, choose yes to start the "ibus-daemon" when prompted.
Comment 2 Akira TAGOH 2009-05-31 22:30:29 EDT
Apparently ibus package no longer ships /usr/bin/ibus. I don't know if it's expected thing or unexpected. for workaround, update to XIM_PROGRAM="/usr/bin/ibus-daemon" in /etc/X11/xinit/xinput.d/ibus.conf.

Reassigning.
Comment 3 Fedora Update System 2009-05-31 23:04:23 EDT
ibus-1.1.0.20090531-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/ibus-1.1.0.20090531-1.fc10
Comment 4 Fedora Update System 2009-06-02 10:17:39 EDT
ibus-1.1.0.20090531-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Yao Wei Tjong 2009-06-07 04:58:00 EDT
Not very sure whether it is related with the latest package. Before the upgrade I could see quite a few Chinese input methods. After the upgrade to 1.1.0.20090531-1.fc10, there are now only two Chinese input methods available (pinyin and chewing). All the other installed input methods are gone. The upgrade solves the im-chooser problem described above though.

Note You need to log in before you can comment on or make changes to this bug.